package pathgame.gameplay.menu;

import me.hammerle.snuviengine.api.Engine;
import pathgame.gameplay.Gamestates;

public class EscMenu extends BaseMenu
{
    private final MenuButton[] options;
    
    public EscMenu(int id, int mainId)
    {
        super(id);
        
        options = new MenuButton[] 
        {
            new MenuButton("Continue", (gamestate) -> 
            {
                gamestate.setState(Gamestates.GAMEPLAY);
            }),
            new MenuButton("Main Menu", (gamestate) -> 
            {
                setReturnId(mainId);
            }),
            new MenuButton("Exit", (gamestate) -> 
            {
                Engine.stop();
            }),
        };
    }

    @Override
    public MenuButton[] getOptions()
    {
        return options;
    }
}
